import { MigrationInterface, QueryRunner } from 'typeorm';

export class AddHelpTextsEnabled1785520800000 implements MigrationInterface {
  name = 'AddHelpTextsEnabled1785520800000';

  public async up(queryRunner: QueryRunner): Promise<void> {
    await queryRunner.query(
      'ALTER TABLE "user" ADD "helpTextsEnabled" boolean NOT NULL DEFAULT true',
    );
  }

  public async down(queryRunner: QueryRunner): Promise<void> {
    await queryRunner.query(
      'ALTER TABLE "user" DROP COLUMN "helpTextsEnabled"',
    );
  }
}
